org.omg.CORBA

## Interface CTX_RESTRICT_SCOPE

-     public interface CTX_RESTRICT_SCOPE

  A flag that can be used as the second parameter to the method `Context.get_values` to restrict the search scope. When this flag is used, it restricts the search for context values to this particular `Context` object or to the scope specified in the first parameter to `Context.get_values`.

  Usage:

           NVList props = myContext.get_values("_USER",
                           CTX_RESTRICT_SCOPE.value, "id*");

  Since:
    JDK1.2
  See Also:
    `Context.get_values(String, int, String)`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `value` The field containing the `int` value of a `CTX_RESTRICT_SCOPE` flag.

- - ### Field Detail

    - #### value

          static final int value

      The field containing the `int` value of a `CTX_RESTRICT_SCOPE` flag.
      See Also:
        Constant Field Values

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved.